#pragma once

/*
	GameEngine and Editor
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Log

#include <string>
#include <vector>
#include <cstdint>
#include <cstdlib>
#include <cstring>
#include <cassert>
#include <algorithm>

namespace Log {

class Log
{
public:
    Log();
    ~Log();

    Log& operator<<(std::string str);
    {
        std::cout << str;
        return *this;
    }

    template <typename T>
    Log& operator<<(T val);
    {
        std::cout << val;
        return *this;
    }
};

}
